org.apache.mina.codec.textline

## Class TextLineDecoder.Context

- java.lang.Object
- - org.apache.mina.codec.textline.TextLineDecoder.Context

Enclosing class:
  TextLineDecoder

    public class TextLineDecoder.Context
    extends Object

A Context used during the decoding of a lin. It stores the decoder, the temporary buffer containing the decoded line, and other status flags.

Version:
  $Rev$, $Date$
Author:
  Apache Directory Project

### Method Summary

Methods
`void` `append(ByteBuffer in)`
`ByteBuffer` `getBuffer()`
`CharsetDecoder` `getDecoder()`
`int` `getMatchCount()`
`int` `getOverflowLength()`
`void` `reset()`
`void` `setMatchCount(int matchCount)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getDecoder

    public CharsetDecoder getDecoder()

#### getBuffer

    public ByteBuffer getBuffer()

#### getMatchCount

    public int getMatchCount()

#### setMatchCount

    public void setMatchCount(int matchCount)

#### getOverflowLength

    public int getOverflowLength()

#### reset

    public void reset()

#### append

    public void append(ByteBuffer in)